Development using Eclipse and Pydev

From Gramps
Revision as of 21:20, 3 February 2013 by Patsyblefebre (Talk | contribs)

Jump to: navigation, search

Prerequisites: a JRE (Java Runtime Environment) has to be installed.

To use Eclipse you'll need two folders.

  1. A folder where you install Eclipse. E.g., ~/devel/eclipse_installs/
  2. A folder that will be the workspace. E.g., ~/devel/eclipse_workspaces/gramps

Download an Eclipse package from Eclipse.org. Unzip the file into ~/devel/eclipse_installs/ and run the eclipse binary in ~/devel/eclipse_installs/eclipse when asked for a workspace, enter ~/devel/eclipse_workspaces/gramps

Installing Pydev and Pylint

Get pydev from the pydev download site.

Follow the installation tutorial

On Ubuntu, the python interpreter can be found at /usr/bin/python

sudo apt-get install pylint

Go to: window > preferences > pydev > pylint tick use pylint and enter /usr/bin/pylint as the pylint path.

Installing Subversion

Follow the download instructions to install the Subclipse plugin.

Open the subversion perspective and add a repository.

http://svn.code.sf.net/p/gramps/code/trunk/

for working on the trunk code. Select Checkout project using new project wizard. Select pydev project wizard.